some fixes for the debian package
[mikachu/openbox.git] / debian / prerm.ex
1 #!/bin/sh
2 # prerm script for openbox
3 #
4 # see: dh_installdeb(1)
5
6 set -e
7
8 # summary of how this script can be called:
9 #        * <prerm> `remove'
10 #        * <old-prerm> `upgrade' <new-version>
11 #        * <new-prerm> `failed-upgrade' <old-version>
12 #        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
13 #        * <deconfigured's-prerm> `deconfigure' `in-favour'
14 #          <package-being-installed> <version> `removing'
15 #          <conflicting-package> <version>
16 # for details, see http://www.debian.org/doc/debian-policy/ or
17 # the debian-policy package
18
19
20 case "$1" in
21     remove|upgrade|deconfigure)
22     ;;
23
24     failed-upgrade)
25     ;;
26
27     *)
28         echo "prerm called with unknown argument \`$1'" >&2
29         exit 1
30     ;;
31 esac
32
33 # dh_installdeb will replace this with shell code automatically
34 # generated by other debhelper scripts.
35
36 #DEBHELPER#
37
38 exit 0
39
40